Time-Related Utility Functions
3
LIBEDATASERVER Library

# Time-Related Utility Functions

Utility functions for time structure manipulation.

## Synopsis

    enum                ETimeParseStatus;
    ETimeParseStatus    e_time_parse_date_and_time          (const char *value,
                                                             struct tm *result);
    ETimeParseStatus    e_time_parse_date                   (const char *value,
                                                             struct tm *result);
    ETimeParseStatus    e_time_parse_date_and_time_ex       (const char *value,
                                                             struct tm *result,
                                                             gboolean *two_digit_year);
    ETimeParseStatus    e_time_parse_date_ex                (const char *value,
                                                             struct tm *result,
                                                             gboolean *two_digit_year);
    ETimeParseStatus    e_time_parse_time                   (const char *value,
                                                             struct tm *result);
    void                e_time_format_date_and_time         (struct tm *date_tm,
                                                             gboolean use_24_hour_format,
                                                             gboolean show_midnight,
                                                             gboolean show_zero_seconds,
                                                             char *buffer,
                                                             int buffer_size);
    void                e_time_format_time                  (struct tm *date_tm,
                                                             gboolean use_24_hour_format,
                                                             gboolean show_zero_seconds,
                                                             char *buffer,
                                                             int buffer_size);
    time_t              e_mktime_utc                        (struct tm *tm);
    void                e_localtime_with_offset             (time_t tt,
                                                             struct tm *tm,
                                                             int *offset);
    char*               e_time_get_d_fmt_with_4digit_year   (void);

## Description

## Details

### enum ETimeParseStatus

    typedef enum {
    	E_TIME_PARSE_OK,
    	E_TIME_PARSE_NONE,
    	E_TIME_PARSE_INVALID
    } ETimeParseStatus;

### e_time_parse_date_and_time ()

    ETimeParseStatus    e_time_parse_date_and_time          (const char *value,
                                                             struct tm *result);

`value` :

`result` :

Returns :

### e_time_parse_date ()

    ETimeParseStatus    e_time_parse_date                   (const char *value,
                                                             struct tm *result);

`value` :

`result` :

Returns :

### e_time_parse_date_and_time_ex ()

    ETimeParseStatus    e_time_parse_date_and_time_ex       (const char *value,
                                                             struct tm *result,
                                                             gboolean *two_digit_year);

`value` :

`result` :

`two_digit_year` :

Returns :

### e_time_parse_date_ex ()

    ETimeParseStatus    e_time_parse_date_ex                (const char *value,
                                                             struct tm *result,
                                                             gboolean *two_digit_year);

`value` :

`result` :

`two_digit_year` :

Returns :

### e_time_parse_time ()

    ETimeParseStatus    e_time_parse_time                   (const char *value,
                                                             struct tm *result);

`value` :

`result` :

Returns :

### e_time_format_date_and_time ()

    void                e_time_format_date_and_time         (struct tm *date_tm,
                                                             gboolean use_24_hour_format,
                                                             gboolean show_midnight,
                                                             gboolean show_zero_seconds,
                                                             char *buffer,
                                                             int buffer_size);

`date_tm` :

`use_24_hour_format` :

`show_midnight` :

`show_zero_seconds` :

`buffer` :

`buffer_size` :

### e_time_format_time ()

    void                e_time_format_time                  (struct tm *date_tm,
                                                             gboolean use_24_hour_format,
                                                             gboolean show_zero_seconds,
                                                             char *buffer,
                                                             int buffer_size);

`date_tm` :

`use_24_hour_format` :

`show_zero_seconds` :

`buffer` :

`buffer_size` :

### e_mktime_utc ()

    time_t              e_mktime_utc                        (struct tm *tm);

`tm` :

Returns :

### e_localtime_with_offset ()

    void                e_localtime_with_offset             (time_t tt,
                                                             struct tm *tm,
                                                             int *offset);

`tt` :

`tm` :

`offset` :

### e_time_get_d_fmt_with_4digit_year ()

    char*               e_time_get_d_fmt_with_4digit_year   (void);

Returns :